-- Arma_Engineer
-- Author: Armakoir
-- DateCreated: 11/29/2017 9:28:08 AM
--------------------------------------------------------------

--Deleting this allows Military Engineers to function as Builders
UPDATE TreeData SET DefaultData = NULL WHERE DefaultData = 'UNIT_BUILDER';

UPDATE Units SET Cost = '125', BuildCharges = '3', Maintenance = '0', AdvisorType = 'ADVISOR_GENERIC' WHERE UnitType = 'UNIT_MILITARY_ENGINEER';
UPDATE Units SET MandatoryObsoleteTech = 'TECH_MILITARY_ENGINEERING' WHERE UnitType = 'UNIT_BUILDER';

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MILITARY_ENGINEER','CLASS_BUILDER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MILITARY_ENGINEER','CLASS_LANDCIVILIAN');

DELETE FROM Unit_BuildingPrereqs WHERE Unit ='UNIT_MILITARY_ENGINEER' AND Prereqbuilding = 'BUILDING_ARMORY';


INSERT INTO Improvement_ValidBuildUnits
		(ImprovementType,				UnitType)
VALUES
		('IMPROVEMENT_BEACH_RESORT',	'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_CAMP',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_CHATEAU',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_COLOSSAL_HEAD',	'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_FARM',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_FISHING_BOATS',	'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_GREAT_WALL',		'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_KURGAN',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_LUMBER_MILL',		'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_MINE',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_MISSION',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_OFFSHORE_OIL_RIG','UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_OIL_WELL',		'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_PASTURE',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_PLANTATION',		'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_QUARRY',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_SPHINX',			'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_STEPWELL',		'UNIT_MILITARY_ENGINEER'),
		('IMPROVEMENT_ZIGGURAT',		'UNIT_MILITARY_ENGINEER');